Subject: Re: Emacs OS X GUI doesn't set locale

From: Eli Zaretskii <[email-masked]>
Date: Tue, 26 Jan 2016 17:14:15 +0200

> Date: Tue, 26 Jan 2016 16:06:38 +0100
> From: Anders Lindgren <[email-masked]>
> Cc: [email-masked], Alan Third <[email-masked]>, 
> 	emacs-devel <[email-masked]>
> 
>     > * Have you considered populating `process-environment' instead of setting
>     LANG
>     > in the Emacs process? Would there be any advantages/disadvantages with
>     this
>     > approach?
>     
>     process-environment gets passed to child processes, right?
>     
> 
> Yes, that is why I asked if he had considered that approach. The reason I asked
> was if there was any advantage in setting the LANG variable of the Emacs
> process itself, or if this only was of interest of subprocesses.

Passing our LANG to subprocesses would be a bad idea, I think.  Emacs
is not supposed to change the environment of the child processes just
because it needs that for itself.